var Level_Data = [];
var Scenario_MonsterWaves = [
   {
   ID : 0,
   MapID : 2,
   Name : "Southern Plains",
   Waves : [
      { ID: 0, Count:  5, Spread: 600, Level:  0 },
      { ID: 0, Count: 15, Spread: 900, Level:  0 },
      { ID: 0, Count: 20, Spread: 900, Level:  0 },
      { ID: 2, Count:  2, Spread: 300, Level:  0 },
      { ID: 2, Count:  7, Spread: 800, Level:  0 },
      { ID: 0, Count: 20, Spread: 600, Level:  5 },
      { ID: 1, Count:  1, Spread: 900, Level:  6 }
      ],
   Opens : [ 1 ],
   Unlocks : [ 1 ]
   },
   {
   ID : 1,
   MapID : 1,
   Name : "Gates of Kharul",
   Waves : [
      { ID: 0, Count: 10, Spread: 600, Level:  5 },
      { ID: 0, Count: 20, Spread: 900, Level:  5 },
      { ID: 2, Count:  5, Spread: 900, Level:  0 },
      { ID: 0, Count: 20, Spread: 600, Level:  5 },
      { ID: 1, Count:  1, Spread: 600, Level:  0 },
      { ID: 0, Count: 20, Spread: 600, Level: 10 },
      { ID: 2, Count:  5, Spread: 600, Level: 10 },
      { ID: 0, Count: 25, Spread: 900, Level: 10 },
      { ID: 1, Count:  2, Spread: 900, Level: 15 }
      ],
   Opens : [ 2 ],
   Unlocks : [ ]
   },
   {
   ID : 2,
   MapID : 0,
   Name : "Pa-mai Pass",
   Waves : [
      { ID: 0, Count: 20, Spread: 1500, Level:  0 },
      { ID: 2, Count:  5, Spread: 900, Level:  0 },
      { ID: 0, Count: 20, Spread: 900, Level:  0 },
      { ID: 0, Count: 40, Spread: 1200, Level:  5 },
      { ID: 1, Count:  2, Spread: 1500, Level:  5 },
      { ID: 2, Count: 12, Spread: 900, Level:  5 },
      { ID: 3, Count:  7, Spread: 900, Level:  0 },
      { ID: 2, Count: 15, Spread: 900, Level:  5 },
      { ID: 3, Count: 10, Spread: 900, Level:  5 },
      { ID: 0, Count: 45, Spread: 450, Level: 20 },
      { ID: 1, Count:  3, Spread: 900, Level: 15 },
      { ID: 3, Count: 15, Spread: 950, Level: 10 }
      ],
   Opens : [ 3 ],
   Unlocks : [ ]
   },
   {
   ID : 3,
   MapID : 3,
   Name : "Deep Forest",
   Waves : [
      { ID: 2, Count: 10, Spread: 1800, Level:  0 },
      { ID: 0, Count: 20, Spread: 1800, Level:  0 },
      { ID: 0, Count: 20, Spread:  900, Level:  5 },
      { ID: 1, Count:  1, Spread:  300, Level:  5 },
      { ID: 2, Count: 15, Spread: 1200, Level:  5 },
      { ID: 3, Count: 10, Spread:  900, Level:  5 },
      { ID: 0, Count: 30, Spread: 1200, Level: 10 },
      { ID: 4, Count:  1, Spread:  900, Level:  0 },
      { ID: 3, Count: 10, Spread:  900, Level: 15 },
      { ID: 4, Count:  2, Spread: 2000, Level:  0 },
      { ID: 0, Count: 30, Spread:  900, Level: 15 },
      { ID: 5, Count:  3, Spread: 1300, Level: 15 }
      ],
   Opens : [ 4, 5 ],
   Unlocks : [ ]
   },
   {
   ID : 4,
   MapID : 6,
   Name : "Ulan Ghator Ruins",
   Waves : [
      { ID: 0, Count: 15, Spread:  900, Level:  5 },
      { ID: 0, Count: 20, Spread: 1200, Level:  7 },
      { ID: 0, Count: 40, Spread: 1500, Level: 10 },
      { ID: 1, Count:  3, Spread: 1500, Level:  0 },
      { ID: 0, Count: 15, Spread:    1, Level: 50 },
      { ID: 0, Count: 40, Spread:   40, Level: 90 },
      { ID: 1, Count:  4, Spread:    1, Level: 20 },
      { ID: 6, Count:  5, Spread: 1800, Level:  5 },
      { ID: 5, Count:  7, Spread: 2000, Level: 10 },
      { ID: 5, Count:  2, Spread:  100, Level: 10 },
      { ID: 0, Count: 40, Spread:  600, Level: 30 },
      { ID: 6, Count: 10, Spread: 2100, Level: 15 }
      ],
   Opens : [ ],
   Unlocks : [ ]
   },
   {
   ID : 5,
   MapID : 8,
   Name : "Shinai Doors",
   Waves : [
      { ID: 0, Count: 45, Spread: 3500, Level: 50 },
      { ID: 0, Count: 50, Spread: 3500, Level: 60 },
      { ID: 2, Count: 20, Spread: 2000, Level: 40 },
      { ID: 2, Count: 40, Spread: 3500, Level: 60 },
      { ID: 0, Count: 80, Spread: 3500, Level: 70 },
      { ID: 1, Count: 30, Spread: 3500, Level: 10 }
      ],
   Opens : [ 6, 7 ],
   Unlocks : [ ]
   },
   {
   ID : 6,
   MapID : 4,
   Name : "Londranis",
   Waves : [
      { ID: 0, Count:  5, Spread: 600, Level:  0 },
      { ID: 2, Count:  5, Spread: 900, Level:  0 }/*,
      { ID: 2, Count:  5, Spread: 300, Level:  0 },
      { ID: 0, Count: 15, Spread: 600, Level:  5 },
      { ID: 2, Count: 10, Spread: 600, Level:  0 },
      { ID: 1, Count:  3, Spread: 900, Level:  0 },
      { ID: 0, Count: 25, Spread: 900, Level: 10 },
      { ID: 3, Count: 10, Spread: 450, Level:  0 },
      { ID: 4, Count:  1, Spread: 600, Level:  5 }*/
      ],
   Opens : [ ],
   Unlocks : [ ]
   },
   {
   ID : 7,
   MapID : 0,
   Name : "Iceald Wilds",
   Waves : [
      { ID: 0, Count:  5, Spread: 600, Level:  0 },
      { ID: 2, Count:  5, Spread: 900, Level:  0 }/*,
      { ID: 2, Count:  5, Spread: 300, Level:  0 },
      { ID: 0, Count: 15, Spread: 600, Level:  5 },
      { ID: 2, Count: 10, Spread: 600, Level:  0 },
      { ID: 1, Count:  3, Spread: 900, Level:  0 },
      { ID: 0, Count: 25, Spread: 900, Level: 10 },
      { ID: 3, Count: 10, Spread: 450, Level:  0 },
      { ID: 4, Count:  1, Spread: 600, Level:  5 }*/
      ],
   Opens : [ 8 ],
   Unlocks : [ ]
   },
   {
   ID : 8,
   MapID : 2,
   Name : "Forgotten Flats",
   Waves : [
      { ID: 0, Count:  5, Spread: 600, Level:  0 },
      { ID: 2, Count:  5, Spread: 900, Level:  0 }/*,
      { ID: 2, Count:  5, Spread: 300, Level:  0 },
      { ID: 0, Count: 15, Spread: 600, Level:  5 },
      { ID: 2, Count: 10, Spread: 600, Level:  0 },
      { ID: 1, Count:  3, Spread: 900, Level:  0 },
      { ID: 0, Count: 25, Spread: 900, Level: 10 },
      { ID: 3, Count: 10, Spread: 450, Level:  0 },
      { ID: 4, Count:  1, Spread: 600, Level:  5 }*/
      ],
   Opens : [ 9 ],
   Unlocks : [ ]
   },
   {
   ID : 9,
   MapID : 7,
   Name : "Doom Mountain Mine",
   Waves : [
      { ID: 0, Count:  5, Spread: 600, Level:  0 },
      { ID: 2, Count:  5, Spread: 900, Level:  0 }/*,
      { ID: 2, Count:  5, Spread: 300, Level:  0 },
      { ID: 0, Count: 15, Spread: 600, Level:  5 },
      { ID: 2, Count: 10, Spread: 600, Level:  0 },
      { ID: 1, Count:  3, Spread: 900, Level:  0 },
      { ID: 0, Count: 25, Spread: 900, Level: 10 },
      { ID: 3, Count: 10, Spread: 450, Level:  0 },
      { ID: 4, Count:  1, Spread: 600, Level:  5 }*/
      ],
   Opens : [ 10 ],
   Unlocks : [ ]
   },
   {
   ID : 10,
   MapID : 5,
   Name : "Daggor Badlands",
   Waves : [
      { ID: 0, Count:  5, Spread: 600, Level:  0 },
      { ID: 2, Count:  5, Spread: 900, Level:  0 }/*,
      { ID: 2, Count:  5, Spread: 300, Level:  0 },
      { ID: 0, Count: 15, Spread: 600, Level:  5 },
      { ID: 2, Count: 10, Spread: 600, Level:  0 },
      { ID: 1, Count:  3, Spread: 900, Level:  0 },
      { ID: 0, Count: 25, Spread: 900, Level: 10 },
      { ID: 3, Count: 10, Spread: 450, Level:  0 },
      { ID: 4, Count:  1, Spread: 600, Level:  5 }*/
      ],
   Opens : [ ],
   Unlocks : [ ]
   }
];